diff -urN codeblocks-10.05/src/include/mozilla_chardet/prcpucfg.h codeblocks-10.05/src/include/mozilla_chardet/prcpucfg.h
--- codeblocks-10.05/src/include/mozilla_chardet/prcpucfg.h	2010-05-22 19:33:23.000000000 +0900
+++ codeblocks-10.05/src/include/mozilla_chardet/prcpucfg.h	2011-02-22 10:02:09.000000000 +0900
@@ -599,6 +599,56 @@
 #define PR_BYTES_PER_WORD_LOG2   3
 #define PR_BYTES_PER_DWORD_LOG2  3
 
+#elif defined(__sh__)
+
+#ifdef __LITTLE_ENDIAN__
+#define	IS_LITTLE_ENDIAN 1
+#undef	IS_BIG_ENDIAN
+#else
+#define	IS_BIG_ENDIAN 1
+#undef	IS_LITTLE_ENDIAN
+#endif
+
+#define PR_BYTES_PER_BYTE	1
+#define PR_BYTES_PER_SHORT	2
+#define PR_BYTES_PER_INT	4
+#define PR_BYTES_PER_INT64	8
+#define PR_BYTES_PER_LONG	4
+#define PR_BYTES_PER_FLOAT	4
+#define PR_BYTES_PER_DOUBLE	8
+#define PR_BYTES_PER_WORD	4
+#define PR_BYTES_PER_DWORD	8
+
+#define PR_BITS_PER_BYTE	8
+#define PR_BITS_PER_SHORT	16
+#define PR_BITS_PER_INT		32
+#define PR_BITS_PER_INT64	64
+#define PR_BITS_PER_LONG	32
+#define PR_BITS_PER_FLOAT	32
+#define PR_BITS_PER_DOUBLE	64
+#define PR_BITS_PER_WORD	32
+
+#define PR_BITS_PER_BYTE_LOG2	3
+#define PR_BITS_PER_SHORT_LOG2	4
+#define PR_BITS_PER_INT_LOG2	5
+#define PR_BITS_PER_INT64_LOG2	6
+#define PR_BITS_PER_LONG_LOG2	5
+#define PR_BITS_PER_FLOAT_LOG2	5
+#define PR_BITS_PER_DOUBLE_LOG2	6
+#define PR_BITS_PER_WORD_LOG2	5
+
+#define PR_ALIGN_OF_SHORT	2
+#define PR_ALIGN_OF_INT		4
+#define PR_ALIGN_OF_LONG	4
+#define PR_ALIGN_OF_INT64	8
+#define PR_ALIGN_OF_FLOAT	4
+#define PR_ALIGN_OF_DOUBLE	8
+#define PR_ALIGN_OF_POINTER	4
+#define PR_ALIGN_OF_WORD	4
+
+#define PR_BYTES_PER_WORD_LOG2	2
+#define PR_BYTES_PER_DWORD_LOG2	3
+
 #else
 
 #error "Unknown CPU architecture"
